# Class UnprocessableEntityException

Namespace
  adas_core.Application.Exceptions

Assembly
  adas-core.Application.dll

Represents an exception that is thrown when an entity cannot be processed due to issues with its content or structure.

    public class UnprocessableEntityException : Exception, ISerializable

Inheritance
  object
  Exception
  UnprocessableEntityException

Implements
  ISerializable

Inherited Members
  Exception.GetBaseException()
  Exception.GetType()
  Exception.ToString()
  Exception.Data
  Exception.HelpLink
  Exception.HResult
  Exception.InnerException
  Exception.Message
  Exception.Source
  Exception.StackTrace
  Exception.TargetSite
  Exception.SerializeObjectState
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

This exception is typically used to signal that a request or entity was understood but could not be processed, similar to the semantics of an HTTP 422 (Unprocessable Entity) response.

## Constructors

### UnprocessableEntityException(string)

Initializes a new instance of the UnprocessableEntityException class with a specified error message.

    public UnprocessableEntityException(string message)

#### Parameters

`message` string

  The message that describes the error.

### UnprocessableEntityException(ErrorMessage)

Initializes a new instance of the UnprocessableEntityException class with a specified error message enum.

    public UnprocessableEntityException(HttpEnum.ErrorMessage message)

#### Parameters

`message` HttpEnum.ErrorMessage

  The error message enum containing the error code.